## org.gnu.gdk
Class EventButton

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.EventButton

public class EventButton
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`EventButton(Handle handle)`

Method Summary
`int` `getButton()`
`protected static int` `getButton(Handle obj)`
`Device` `getDevice()`
`protected static Handle` `getDevice(Handle obj)`
`protected static boolean` `getSendEvent(Handle obj)`
`protected static int` `getState(Handle obj)`
`protected static int` `getTime(Handle obj)`
`int` `getType()`
`protected static int` `getType(Handle obj)`
`Window` `getWindow()`
`protected static Handle` `getWindow(Handle obj)`
`double` `getX()`
`protected static double` `getX(Handle obj)`
`protected static double` `getXRoot(Handle obj)`
`double` `getY()`
`protected static double` `getY(Handle obj)`
`protected static double` `getYRoot(Handle obj)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventButton

    public EventButton(Handle handle)

Method Detail

### getButton

    public int getButton()

### getX

    public double getX()

### getY

    public double getY()

### getType

    public int getType()

### getWindow

    public Window getWindow()

### getDevice

    public Device getDevice()

### getType

    protected static final int getType(Handle obj)

### getWindow

    protected static final Handle getWindow(Handle obj)

### getSendEvent

    protected static final boolean getSendEvent(Handle obj)

### getTime

    protected static final int getTime(Handle obj)

### getX

    protected static final double getX(Handle obj)

### getY

    protected static final double getY(Handle obj)

### getState

    protected static final int getState(Handle obj)

### getButton

    protected static final int getButton(Handle obj)

### getDevice

    protected static final Handle getDevice(Handle obj)

### getXRoot

    protected static final double getXRoot(Handle obj)

### getYRoot

    protected static final double getYRoot(Handle obj)